package com.mortals.xhx.module.matters.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:MattersDetail
* date: 2021-9-16 20:01:52
*/
public class MattersDetailQuery extends MattersDetailEntity{
    private static final long serialVersionUID = 1631793712579L;
    /** 开始 id号 */
    private Long idStart;

    /** 结束 id号 */
    private Long idEnd;

    /** 增加 id号 */
    private Long idIncrement;

    /** id号 */
    private List <Long> idList;


    /** 事项编号 */
    private List<String> matterCodeList;

    /** 基本信息 */
    private List<String> basicinfoJbxxList;

    /** 申请材料 */
    private List<String> materialsSqclList;

    /** 受理条件 */
    private List<String> conditionsSltjList;

    /** 办理流程 */
    private List<String> processBllcList;

    /** 收费标准 */
    private List<String> chargingSfbzList;

    /** 设定依据 */
    private List<String> basisSdyjList;

    /** 中介服务 */
    private List<String> intermediaryZjfwList;

    /** 常见问题 */
    private List<String> questionCjwtList;
    /** 开始 修改时间 */
    private String updatetimeStart;

    /** 结束 修改时间 */
    private String updatetimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MattersDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MattersDetailQuery> andConditionList;


    public MattersDetailQuery(){
    }

    /**
    * 获取 开始 id号
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 id号
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 id号
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id号
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 id号
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 事项编号
    * @return matterCodeList
    */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
    * 设置 事项编号
    * @param matterCodeList
    */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }
    /**
    * 获取 基本信息
    * @return basicinfoJbxxList
    */
    public List<String> getBasicinfoJbxxList(){
        return this.basicinfoJbxxList;
    }

    /**
    * 设置 基本信息
    * @param basicinfoJbxxList
    */
    public void setBasicinfoJbxxList(List<String> basicinfoJbxxList){
        this.basicinfoJbxxList = basicinfoJbxxList;
    }
    /**
    * 获取 申请材料
    * @return materialsSqclList
    */
    public List<String> getMaterialsSqclList(){
        return this.materialsSqclList;
    }

    /**
    * 设置 申请材料
    * @param materialsSqclList
    */
    public void setMaterialsSqclList(List<String> materialsSqclList){
        this.materialsSqclList = materialsSqclList;
    }
    /**
    * 获取 受理条件
    * @return conditionsSltjList
    */
    public List<String> getConditionsSltjList(){
        return this.conditionsSltjList;
    }

    /**
    * 设置 受理条件
    * @param conditionsSltjList
    */
    public void setConditionsSltjList(List<String> conditionsSltjList){
        this.conditionsSltjList = conditionsSltjList;
    }
    /**
    * 获取 办理流程
    * @return processBllcList
    */
    public List<String> getProcessBllcList(){
        return this.processBllcList;
    }

    /**
    * 设置 办理流程
    * @param processBllcList
    */
    public void setProcessBllcList(List<String> processBllcList){
        this.processBllcList = processBllcList;
    }
    /**
    * 获取 收费标准
    * @return chargingSfbzList
    */
    public List<String> getChargingSfbzList(){
        return this.chargingSfbzList;
    }

    /**
    * 设置 收费标准
    * @param chargingSfbzList
    */
    public void setChargingSfbzList(List<String> chargingSfbzList){
        this.chargingSfbzList = chargingSfbzList;
    }
    /**
    * 获取 设定依据
    * @return basisSdyjList
    */
    public List<String> getBasisSdyjList(){
        return this.basisSdyjList;
    }

    /**
    * 设置 设定依据
    * @param basisSdyjList
    */
    public void setBasisSdyjList(List<String> basisSdyjList){
        this.basisSdyjList = basisSdyjList;
    }
    /**
    * 获取 中介服务
    * @return intermediaryZjfwList
    */
    public List<String> getIntermediaryZjfwList(){
        return this.intermediaryZjfwList;
    }

    /**
    * 设置 中介服务
    * @param intermediaryZjfwList
    */
    public void setIntermediaryZjfwList(List<String> intermediaryZjfwList){
        this.intermediaryZjfwList = intermediaryZjfwList;
    }
    /**
    * 获取 常见问题
    * @return questionCjwtList
    */
    public List<String> getQuestionCjwtList(){
        return this.questionCjwtList;
    }

    /**
    * 设置 常见问题
    * @param questionCjwtList
    */
    public void setQuestionCjwtList(List<String> questionCjwtList){
        this.questionCjwtList = questionCjwtList;
    }
    /**
    * 获取 开始 修改时间
    * @return updatetimeStart
    */
    public String getUpdatetimeStart(){
    return this.updatetimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updatetimeStart
    */
    public void setUpdatetimeStart(String updatetimeStart){
    this.updatetimeStart = updatetimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updatetimeEnd
    */
    public String getUpdatetimeEnd(){
    return this.updatetimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updatetimeEnd
    */
    public void setUpdatetimeEnd(String updatetimeEnd){
    this.updatetimeEnd = updatetimeEnd;
    }


	/**
    * 设置  id号
    * @param id
    */
    public MattersDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id号
    * @param idStart
    */
    public MattersDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id号
    * @param idEnd
    */
    public MattersDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id号
    * @param idIncrement
    */
    public MattersDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id号
    * @param idList
    */
    public MattersDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 事项编号
    * @param matterCode
    */
    public MattersDetailQuery matterCode(String matterCode){
        setMatterCode(matterCode);
		return this;
    }


    /**
    * 设置 事项编号
    * @param matterCodeList
    */
    public MattersDetailQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
		return this;
    }
	/**
    * 设置 基本信息
    * @param basicinfoJbxx
    */
    public MattersDetailQuery basicinfoJbxx(String basicinfoJbxx){
        setBasicinfoJbxx(basicinfoJbxx);
		return this;
    }


    /**
    * 设置 基本信息
    * @param basicinfoJbxxList
    */
    public MattersDetailQuery basicinfoJbxxList(List<String> basicinfoJbxxList){
        this.basicinfoJbxxList = basicinfoJbxxList;
		return this;
    }
	/**
    * 设置 申请材料
    * @param materialsSqcl
    */
    public MattersDetailQuery materialsSqcl(String materialsSqcl){
        setMaterialsSqcl(materialsSqcl);
		return this;
    }


    /**
    * 设置 申请材料
    * @param materialsSqclList
    */
    public MattersDetailQuery materialsSqclList(List<String> materialsSqclList){
        this.materialsSqclList = materialsSqclList;
		return this;
    }
	/**
    * 设置 受理条件
    * @param conditionsSltj
    */
    public MattersDetailQuery conditionsSltj(String conditionsSltj){
        setConditionsSltj(conditionsSltj);
		return this;
    }


    /**
    * 设置 受理条件
    * @param conditionsSltjList
    */
    public MattersDetailQuery conditionsSltjList(List<String> conditionsSltjList){
        this.conditionsSltjList = conditionsSltjList;
		return this;
    }
	/**
    * 设置 办理流程
    * @param processBllc
    */
    public MattersDetailQuery processBllc(String processBllc){
        setProcessBllc(processBllc);
		return this;
    }


    /**
    * 设置 办理流程
    * @param processBllcList
    */
    public MattersDetailQuery processBllcList(List<String> processBllcList){
        this.processBllcList = processBllcList;
		return this;
    }
	/**
    * 设置 收费标准
    * @param chargingSfbz
    */
    public MattersDetailQuery chargingSfbz(String chargingSfbz){
        setChargingSfbz(chargingSfbz);
		return this;
    }


    /**
    * 设置 收费标准
    * @param chargingSfbzList
    */
    public MattersDetailQuery chargingSfbzList(List<String> chargingSfbzList){
        this.chargingSfbzList = chargingSfbzList;
		return this;
    }
	/**
    * 设置 设定依据
    * @param basisSdyj
    */
    public MattersDetailQuery basisSdyj(String basisSdyj){
        setBasisSdyj(basisSdyj);
		return this;
    }


    /**
    * 设置 设定依据
    * @param basisSdyjList
    */
    public MattersDetailQuery basisSdyjList(List<String> basisSdyjList){
        this.basisSdyjList = basisSdyjList;
		return this;
    }
	/**
    * 设置 中介服务
    * @param intermediaryZjfw
    */
    public MattersDetailQuery intermediaryZjfw(String intermediaryZjfw){
        setIntermediaryZjfw(intermediaryZjfw);
		return this;
    }


    /**
    * 设置 中介服务
    * @param intermediaryZjfwList
    */
    public MattersDetailQuery intermediaryZjfwList(List<String> intermediaryZjfwList){
        this.intermediaryZjfwList = intermediaryZjfwList;
		return this;
    }
	/**
    * 设置 常见问题
    * @param questionCjwt
    */
    public MattersDetailQuery questionCjwt(String questionCjwt){
        setQuestionCjwt(questionCjwt);
		return this;
    }


    /**
    * 设置 常见问题
    * @param questionCjwtList
    */
    public MattersDetailQuery questionCjwtList(List<String> questionCjwtList){
        this.questionCjwtList = questionCjwtList;
		return this;
    }

    /**
    * 设置 开始 修改时间
    * @param updatetimeStart
    */
    public MattersDetailQuery updatetimeStart(String updatetimeStart){
		this.updatetimeStart = updatetimeStart;
		return this;
    }


    /**
    * 设置 结束 修改时间
    * @param updatetimeEnd
    */
    public MattersDetailQuery updatetimeEnd(String updatetimeEnd){
		this.updatetimeEnd = updatetimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MattersDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MattersDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MattersDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MattersDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}